Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class BooleanListProperty

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
          umontreal.iro.lecuyer.xmlbind.params.BooleanListProperty

    public class BooleanListProperty

extends AbstractProperty

Represents a property whose value is a list of booleans.

Field Summary
`protected boolean[]` | `value`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
`name`

Constructor Summary
`BooleanListProperty()`

Method Summary
`boolean[]` | `getValue()`
`boolean` | `getValue(int idx)`
`int` | `getValueLength()`
`boolean` | `isSetValue()`
`void` | `setValue(boolean[] values)`
`boolean` | `setValue(int idx, boolean value)`
`void` | `unsetValue()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
`getName, isSetName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected boolean[] value

Constructor Detail

### BooleanListProperty

    public BooleanListProperty()

Method Detail

### getValue

    public boolean[] getValue()

  Returns:
    array of `Boolean`

### getValue

    public boolean getValue(int idx)

  Returns:
    one of `Boolean`

### getValueLength

    public int getValueLength()

### setValue

    public void setValue(boolean[] values)

  Parameters:
    `values` - allowed objects are `Boolean`

### setValue

    public boolean setValue(int idx,
                            boolean value)

  Parameters:
    `value` - allowed object is `Boolean`

### isSetValue

    public boolean isSetValue()

### unsetValue

    public void unsetValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.